### Method

# ClapperGtk Video add_fading_overlay

#### Declaration [src]

    void
    clapper_gtk_video_add_fading_overlay (
      ClapperGtkVideo* video,
      GtkWidget* widget
    )

#### Description [src]

Similiar as `clapper_gtk_video_add_overlay()` but will also automatically add fading functionality to overlaid `GtkWidget` for convenience. This will make widget reveal itself when interacting with `video` and fade otherwise. Useful when placing widgets such as playback controls panels.

#### Parameters

`widget`

  Type: `GtkWidget`

  A `GtkWidget`.

  The data is owned by the caller of the method.